Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 2463)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 2464)
@@ -34,66 +34,67 @@
 
 /**
  * Correspondence analysis factorial map chart editor.
+ * 
  * @author sjacquot
  *
  */
 public class CAFactorialMapChartEditor extends ChartEditor<CA> {
-
-
+	
+	
 	// FIXME: try to automate that
 	// a solution is to stop using two int in CA but a members int[] dimensions, then use a ComboViewer in this editor
-	//	/**
-	//	 * First dimension.
-	//	 */
-	//	@Parameter(key=CAPreferences.FIRST_DIMENSION)
-	//	protected int firstDimension = 1;
+	// /**
+	// * First dimension.
+	// */
+	// @Parameter(key=CAPreferences.FIRST_DIMENSION)
+	// protected int firstDimension = 1;
 	//
-	//	/**
-	//	 * Second dimension.
-	//	 */
-	//	@Parameter(key=CAPreferences.SECOND_DIMENSION)
-	//	protected int secondDimension = 2;
-
-
+	// /**
+	// * Second dimension.
+	// */
+	// @Parameter(key=CAPreferences.SECOND_DIMENSION)
+	// protected int secondDimension = 2;
+	
+	
 	/**
 	 * To show/hide individuals.
 	 */
-	@Parameter(key=CAPreferences.SHOW_INDIVIDUALS)
+	@Parameter(key = CAPreferences.SHOW_INDIVIDUALS)
 	protected ToolItem showIndividuals;
-
+	
 	/**
 	 * To show/hide variables.
 	 */
-	@Parameter(key=CAPreferences.SHOW_VARIABLES)
+	@Parameter(key = CAPreferences.SHOW_VARIABLES)
 	protected ToolItem showVariables;
-
+	
 	/**
 	 * To show/hide the point shapes or only the labels.
 	 */
-	@Parameter(key=CAPreferences.SHOW_POINT_SHAPES)
+	@Parameter(key = CAPreferences.SHOW_POINT_SHAPES)
 	protected ToolItem showPointShapes;
-
-
+	
+	
 	/**
 	 * Unit property.
 	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTY)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTY)
 	protected PropertiesComboViewer unitPropertyComboViewer;
-
-
+	
+	
 	/**
 	 * Minimum frequency filtering spinner.
 	 */
-	@Parameter(key=TXMPreferences.F_MIN)
+	@Parameter(key = TXMPreferences.F_MIN)
 	protected Spinner fMinSpinner;
-
+	
 	/**
 	 * Maximum number of lines filtering.
 	 */
-	@Parameter(key=TXMPreferences.V_MAX)
+	@Parameter(key = TXMPreferences.V_MAX)
 	protected Spinner vMaxSpinner;
-
-
+	
+	
 	/**
 	 *
 	 * @param chartEditorInput
@@ -101,26 +102,26 @@
 	public CAFactorialMapChartEditor(ChartEditorInput chartEditorInput) {
 		super(chartEditorInput);
 	}
-
 	
+	
 	@Override
 	public void setFocus() {
 		this.parentMultiPagesEditor.setFocus();
 	}
 	
-
+	
 	@Override
 	public void __createPartControl() {
-
+		
 		// Main parameters
 		GLComposite mainParametersArea = this.getMainParametersComposite();
-
+		
 		try {
 			// display lexical table parameters if it is not visible
 			if (!this.getResult().getParent().isVisible()  // the LT parent is not visible
-					&& !(this.getResult().getParent().getParent() instanceof PartitionIndex))	{ // and its parent is not a PartitionIndex
+					&& !(this.getResult().getParent().getParent() instanceof PartitionIndex)) { // and its parent is not a PartitionIndex
 				mainParametersArea.getLayout().numColumns = 2;
-
+				
 				// unit property
 				new Label(mainParametersArea, SWT.NONE).setText(TXMCoreMessages.common_property);
 				this.unitPropertyComboViewer = new PropertiesComboViewer(
@@ -131,138 +132,137 @@
 						this.getResult().getUnitProperty(),
 						false);
 			}
-
+			
 		}
 		catch (CqiClientException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-
-
+		
+		
 		// Extend the chart editor tool bar
 		new ToolItem(this.chartToolBar, SWT.SEPARATOR);
-
-		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this, true); 
-
+		
+		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this, true);
+		
 		// Show/hide columns
 		showIndividuals = new ToolItem(this.chartToolBar, SWT.CHECK);
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
-		//showColumns.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_COLUMS_LABEL);
+		// showColumns.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_COLUMS_LABEL);
 		showIndividuals.setToolTipText(CAUIMessages.showhideTheColumnPoints);
 		showIndividuals.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_columns.png")); //$NON-NLS-1$
 		showIndividuals.addSelectionListener(computeSelectionListener);
-
+		
 		// Show/hide rows
 		showVariables = new ToolItem(this.chartToolBar, SWT.CHECK);
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
-		//this.showRows.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_ROWS_LABEL);
+		// this.showRows.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_ROWS_LABEL);
 		showVariables.setToolTipText(CAUIMessages.showhideTheRowPoints);
 		showVariables.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_rows.png")); //$NON-NLS-1$
 		showVariables.addSelectionListener(computeSelectionListener);
-
-
+		
+		
 		// Show/hide point shapes
 		showPointShapes = new ToolItem(this.chartToolBar, SWT.CHECK);
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
-		//showPointShapes.setText(CAUIMessages.SHOW_HIDE_POINT_SHAPES);
+		// showPointShapes.setText(CAUIMessages.SHOW_HIDE_POINT_SHAPES);
 		showPointShapes.setToolTipText(CAUIMessages.showhidePointShapes);
 		showPointShapes.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_point_shapes.png")); //$NON-NLS-1$
 		showPointShapes.addSelectionListener(computeSelectionListener);
-
-
+		
+		
 		// Factors plane selection
 		CLabel factorsLabel = new CLabel(this.chartToolBar, SWT.CENTER);
 		factorsLabel.setText(CAUIMessages.axesColon);
 		this.chartToolBar.addControl(factorsLabel);
-
+		
 		final Combo plansCombo = new Combo(this.chartToolBar, SWT.READ_ONLY);
-
+		
 		// FIXME: commented because the infos panel is not ready to manage more axes
-		//		ArrayList<String> planes = null;
-		//		try {
-		//			int nbsv = ((CA) editorPart.getResultData()).getSingularValues().length;
-		//			planes = new ArrayList<String>();
-		//			for(int i = 1 ; i < nbsv ; i ++)	{
-		//				for(int j = i ; j < nbsv ; j++)	{
-		//					if(i != j)	{
-		//						planes.add("("+i+","+j+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		//					}
-		//				}
-		//			}
-		//		}
-		//		catch (StatException e1) {
-		//			// TODO Auto-generated catch block
-		//			org.txm.utils.logger.Log.printStackTrace(e1);
-		//		}
-		//		String [] items = planes.toArray(new String[planes.size()]);
-
+		// ArrayList<String> planes = null;
+		// try {
+		// int nbsv = ((CA) editorPart.getResultData()).getSingularValues().length;
+		// planes = new ArrayList<String>();
+		// for(int i = 1 ; i < nbsv ; i ++) {
+		// for(int j = i ; j < nbsv ; j++) {
+		// if(i != j) {
+		// planes.add("("+i+","+j+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		// }
+		// }
+		// }
+		// }
+		// catch (StatException e1) {
+		// // TODO Auto-generated catch block
+		// org.txm.utils.logger.Log.printStackTrace(e1);
+		// }
+		// String [] items = planes.toArray(new String[planes.size()]);
+		
 		String items[] = { "(1,2)", "(1,3)", "(2,3)" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-
+		
 		// TODO : commented because the infos panel is not ready to manage more axes
-		//		if(couples != null && couples.size() > 3)	{
-		//			items = couples.toArray(new String[couples.size()]);
-		//}
-
-
+		// if(couples != null && couples.size() > 3) {
+		// items = couples.toArray(new String[couples.size()]);
+		// }
+		
 		plansCombo.setItems(items);
-
+		
 		// Preselect the plan from the CA data
-		if(this.getIntParameterValue(CAPreferences.FIRST_DIMENSION) == 2)	{
+		if (this.getIntParameterValue(CAPreferences.FIRST_DIMENSION) == 2) {
 			plansCombo.select(2);
 		}
-		else if(this.getIntParameterValue(CAPreferences.SECOND_DIMENSION) == 3)	{
+		else if (this.getIntParameterValue(CAPreferences.SECOND_DIMENSION) == 3) {
 			plansCombo.select(1);
 		}
-		else	{
+		else {
 			plansCombo.select(0);
 		}
-
+		
 		this.chartToolBar.addControl(plansCombo);
-
+		
 		// Listeners
 		SelectionListener listener = new SelectionListener() {
-
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-
+				
 				boolean resetView = false;
-
+				
 				// Change factors
-				if(e.getSource() == plansCombo)	{
-
+				if (e.getSource() == plansCombo) {
+					
 					Combo plans = (Combo) e.getSource();
-
+					
 					int dimension1 = 1;
 					int dimension2 = 2;
-
+					
 					String str = plans.getItem(plans.getSelectionIndex());
-					str = str.substring(1, str.length() -1); // remove ( and )
+					str = str.substring(1, str.length() - 1); // remove ( and )
 					String[] split = str.split(","); // 2 items //$NON-NLS-1$
 					dimension1 = Integer.parseInt(split[0]);
 					dimension2 = Integer.parseInt(split[1]);
-
+					
 					getResult().setFirstDimension(dimension1);
 					getResult().setSecondDimension(dimension2);
-
+					
 					resetView = true;
 				}
 				getResult().setChartDirty();
 				getResult().setNeedsToResetView(resetView);
 				compute(true);
-				//forceFocus();
+				// forceFocus();
 			}
-
+			
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				// TODO Auto-generated method stub
 			}
 		};
 		plansCombo.addSelectionListener(listener);
-
+		
 		// parent parameters
 		// thresholds
 		if (!this.getResult().getParent().isVisible()  // the LT parent is not visible
-				&& !(this.getResult().getParent().getParent() instanceof PartitionIndex))	{ // and its parent is not a PartitionIndex
+				&& !(this.getResult().getParent().getParent() instanceof PartitionIndex)) { // and its parent is not a PartitionIndex
 			ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), SWT.NONE, this, false, false);
 			this.fMinSpinner = thresholdsGroup.getFMinSpinner();
 			this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
@@ -272,7 +272,7 @@
 		this.chartToolBar.pack();
 		
 	}
-
+	
 	@Override
 	public void updateEditorFromChart(boolean update) {
 		
@@ -282,54 +282,54 @@
 		// Updating complementary editors
 		try {
 			// cols and rows tables
-			((ColsRowsInfosEditor)this.parentMultiPagesEditor.getEditors().get(1)).refresh(update);
-			((ColsRowsInfosEditor)this.parentMultiPagesEditor.getEditors().get(2)).refresh(update);
+			((ColsRowsInfosEditor) this.parentMultiPagesEditor.getEditors().get(1)).refresh(update);
+			((ColsRowsInfosEditor) this.parentMultiPagesEditor.getEditors().get(2)).refresh(update);
 			// eigenvalues chart
-			//((EigenvaluesChartEditor)this.parentMultiPagesEditor.getEditors().get(4)).refresh(update);
+			// ((EigenvaluesChartEditor)this.parentMultiPagesEditor.getEditors().get(4)).refresh(update);
 			// eigenvalues table
-			((TXMEditor)this.parentMultiPagesEditor.getEditors().get(4)).refresh(update);
+			((TXMEditor) this.parentMultiPagesEditor.getEditors().get(4)).refresh(update);
 		}
 		catch (Exception e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 	}
-
 	
+	
 	@Override
 	protected void onInit() {
 		
 		IChartComponent chartComponent = this.getComposite().getChartComponent();
-
+		
 		// Axis unit square ratio constraint
-		//chartComponent.setSquareOffEnabled(true);
+		// chartComponent.setSquareOffEnabled(true);
 		chartComponent.squareOff();
-
+		
 		// FIXME: this code is too much AWT related
 		// Axis unit square ratio constraint on resize
-		((Component)chartComponent).addComponentListener(new ComponentListener() {
-
+		((Component) chartComponent).addComponentListener(new ComponentListener() {
+			
 			@Override
 			public void componentShown(ComponentEvent arg0) {
 				// TODO Auto-generated method stub
 			}
-
+			
 			@Override
 			public void componentResized(ComponentEvent e) {
 				getComposite().getChartComponent().squareOff();
 			}
-
+			
 			@Override
 			public void componentMoved(ComponentEvent arg0) {
 				// TODO Auto-generated method stub
 			}
-
+			
 			@Override
 			public void componentHidden(ComponentEvent arg0) {
 				// TODO Auto-generated method stub
 			}
 		});
-
+		
 	}
 	
-}
\ No newline at end of file
+}
